<template>
    <div>
        <div style="padding-bottom: 10px">
            <el-button type="primary" @click="addTaskWorker">添加作业人</el-button>
        </div>
        <el-table :data="taskWorkers" border fit highlight-current-row style="width: 100%;" :header-cell-style="{'text-align':'center'}">
            <el-table-column type="index" label="序号" align="center" width="60"/>
            <el-table-column prop="taskcode" label="作业编号" align="left">
            </el-table-column>
            <el-table-column prop="unit" label="作业类型" align="left">
                <template slot-scope="scope">
                    <el-select v-model="scope.row.tasktype">
                        <el-option
                            v-for="item in taskTypeList"
                            :key="item.id"
                            :label="item.name"
                            :value="item.name"
                        >
                        </el-option>
                    </el-select>
                </template>
            </el-table-column>
            <el-table-column prop="unit" label="施工单位" align="left">
                <template slot-scope="scope">
                    <el-input v-model="scope.row.unit"></el-input>
                </template>
            </el-table-column>
            <el-table-column prop="worker" label="作业人姓名" align="left">
                <template slot-scope="scope">
                    <el-select v-model="scope.row.worker">
                        <el-option
                        v-for="item in workerList"
                        :key="item.id"
                        :value="item.realname"
                        :label="item.realname"
                        >
                        </el-option>
                    </el-select>
                </template>
            </el-table-column>
            <el-table-column prop="branch" label="特种作业工种" align="left">
                <template slot-scope="scope">
                    <el-input v-model="scope.row.branch"></el-input>
                </template>
            </el-table-column>
            <el-table-column prop="number" label="特种作业证号" align="left">
                <template slot-scope="scope">
                    <el-input v-model="scope.row.number"></el-input>
                </template>
            </el-table-column>
            <el-table-column label="操作" align="center">
                <template slot-scope="scope">
                    <el-button type="text" @click="deleteWorker(scope.$index)">删除</el-button>
                </template>
            </el-table-column>
        </el-table>
        <div align="center" style="padding-top: 20px" v-if="title === '新增' || title === '编辑' || title=== '施工单位确认' || title === '施工单位信息填写' || title === '复制'">
            <el-button type="primary" @click="goNext">下一步</el-button>
        </div>
    </div>
</template>

<script>

import { userList } from '../../../../../api/user'

export default {
    props:['basicInformation','title'],
    name: 'index',
    data(){
        return{
            taskWorkers:[],
            workerList:[],
            taskTypeList:[
                {id:0,name:'受限空间作业'},
                {id:1,name:'吊装作业'},
                {id:2,name:'动土作业'},
                {id:3,name:'断路作业'},
                {id:4,name:'高处作业'},
                {id:5,name:'临时用电作业'},
                {id:6,name:'盲板抽堵作业'},
                {id:7,name:'动火作业'},
            ],
        }
    },
    created(){
        this.getWorker()
    },
    methods:{
        addTaskWorker(){
            this.taskWorkers.push({
                createdat: "",
                createdby: "",
                flag: 0,
                id: 0,
                modifiedat: "",
                modifiedby: "",
                taskcode: this.basicInformation.code,
                unit: "",
                worker: "",
                branch: "",
                number: "",
                tasktype:'',
            })
        },
        deleteWorker(val){
            this.taskWorkers.splice(val,1)
        },
        goNext(){
            this.$emit('confirmConstruction')
        },
        async getWorker(){
            debugger
            let params = {}
            params['pageIndex'] = 1
            params['pageSize'] = 1000
            let res = await userList(params)
            if(res.data.code === '200'){
                this.workerList = res.data.result.result
            }
        }
    }
}
</script>

<style scoped>

</style>
